<?php
declare(strict_types=1);

namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class Check_Code_Response extends Abstract_Response {

	protected array $login_result = [];
	protected string $html = '';
	protected array $invoice_address = [];
	protected ?string $phone_number = null;


	public function get_array(): array {
        return [
            'html'            => $this->html,
            'login_result'    => $this->login_result,
            'invoice_address' => $this->invoice_address,
            'phone_number'    => $this->phone_number,
        ];
	}

	public function set_login_result( array $data ): void {
		$this->login_result = $data;
	}

	public function set_html( string $html ): void {
		$this->html = $html;
	}

	public function get_invoice_address(): array {
		return $this->invoice_address;
	}

	public function set_invoice_address( array $invoice_address ): void {
		$this->invoice_address = $invoice_address;
	}

	public function set_phone_number( ?string $phone_number ): void {
		$this->phone_number = $phone_number;
	}
}
